//These variables will get set automatically
texture tex1;
texture tex2;

float2 rcpres;

sampler s0 = sampler_state { texture = <tex1>; };
sampler s1 = sampler_state { texture = <tex2>; };


technique TwoPassTextureBlend
{
    pass Pass0
    {
		//
		// For the first pass, set everything up for regular
		// texture mapping.
		//

        AlphaBlendEnable = False;

        Texture[0] = <tex1>;

        ColorOp[0]   = SelectArg1;
        ColorArg1[0] = Texture;

        ColorOp[1]   = Disable;
    }

    pass Pass1
    {
		//
		// For the second pass, set everything up for regular
		// texture mapping again, but turn on some blending so 
		// we can blend the frame buffer's current contents with 
		// what's generated by our second rendering pass.
		//

        AlphaBlendEnable = True;
        SrcBlend  = One;
        DestBlend = One;

        Texture[0] = <tex2>;

        ColorOp[0]   = SelectArg1;
        ColorArg1[0] = Texture;

        ColorOp[1]   = Disable;
    }
}

